#ifndef __DEFINE_H
#define __DEFINE_H

/*

a - RB0
b - RA6
c - RA7
d - RB3
e - RB4
f - RB5
g - RB6
dp - RB7

seg0 - RA0
seg1 - RA1
seg2 - RA2
seg3 - RA3

rx - RB1
tx - RB2

mclr - RA5

notused - RA4

*/


#define bitset(var, bitno) ((var) |= 1 << (bitno))
#define bitclr(var, bitno) ((var) &= ~(1 << (bitno)))

#define StringBuff	8

char	ContadorPosicao7seg=0, Array7seg[]={3,2,1,0}, DataSerieBuf[StringBuff], ContSerieBuff=0;
char	ContadorCRC, tempa, tempb;

struct	{
	unsigned USARTRX:1;
} FLAGS;


#endif


/*
API

7 Bytes a receber ::  * # a b c d !

* (0x2a), #  (0x23) - header
a,b,c,d - 4 digitos
! - CRC8, soma 6 bytes anteriores

*/
